/iiif

Serve the IIIF Image Information (info.json) for a file version, per the IIIF Image API 2.0. Reading the image requires RIGHT_ASSET_SHOW. Tiles and image derivatives are served from the sibling .../{region}/{size}/{rotation}/{quality}.{format} paths.

GET /eas/iiif/{fileId}/{hash}/obj_uuid/{obj_uuid}/{x-fylr-signature}/{version}/info.json

get

The IIIF endpoint serves images and tiles.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

obj_uuidstringRequired

The _uuid of the object the file is linked into. This is used for the permission check.

x-fylr-signaturestringRequired

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs.

versionstringRequired

The file.class_extension as described here.

Query parameters
obj_uuidstringOptional

The _uuid of the object the file is linked into. This is used for the permission check.

x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Header parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Responses
200
application/json

IIIF Image API 2.0 image information document — the standard reply to a /info.json request, defined by the IIIF Image API 2.0 specification.

fylr serves this document so any IIIF-aware client (Mirador, Universal Viewer, OpenSeadragon, ...) can discover the image's dimensions, supported tile sizes and feature profile.

@contextstring · enumRequired

JSON-LD context — always the IIIF Image API 2 URL.

Possible values:
@idstring · uriRequired

The image's IIIF service URL — /info.json without the /info.json suffix.

protocolstring · enumRequired

The IIIF protocol URI.

Possible values:
widthintegerRequired

The image's native width, in pixels.

heightintegerRequired

The image's native height, in pixels.

HEAD /eas/iiif/{fileId}/{hash}/obj_uuid/{obj_uuid}/{x-fylr-signature}/{version}/info.json

head

Same access checks as GET (and the same 403 / 404 responses; there is no 401), but returns no body on success.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

obj_uuidstringRequired

The _uuid of the object the file is linked into. This is used for the permission check.

x-fylr-signaturestringRequired

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs.

versionstringRequired

The file.class_extension as described here.

Query parameters
obj_uuidstringOptional

The _uuid of the object the file is linked into. This is used for the permission check.

x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Header parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Responses
200

The image information exists and is accessible. No response body.

No content

No content

GET /eas/iiif/{fileId}/{hash}/obj_uuid/{obj_uuid}/{version}/info.json

get

The IIIF endpoint serves images and tiles.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

obj_uuidstringRequired

The _uuid of the object the file is linked into. This is used for the permission check.

versionstringRequired

The file.class_extension as described here.

Query parameters
obj_uuidstringOptional

The _uuid of the object the file is linked into. This is used for the permission check.

x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Header parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Responses
200
application/json

IIIF Image API 2.0 image information document — the standard reply to a /info.json request, defined by the IIIF Image API 2.0 specification.

fylr serves this document so any IIIF-aware client (Mirador, Universal Viewer, OpenSeadragon, ...) can discover the image's dimensions, supported tile sizes and feature profile.

@contextstring · enumRequired

JSON-LD context — always the IIIF Image API 2 URL.

Possible values:
@idstring · uriRequired

The image's IIIF service URL — /info.json without the /info.json suffix.

protocolstring · enumRequired

The IIIF protocol URI.

Possible values:
widthintegerRequired

The image's native width, in pixels.

heightintegerRequired

The image's native height, in pixels.

HEAD /eas/iiif/{fileId}/{hash}/obj_uuid/{obj_uuid}/{version}/info.json

head

Same access checks as GET (and the same 403 / 404 responses; there is no 401), but returns no body on success.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

obj_uuidstringRequired

The _uuid of the object the file is linked into. This is used for the permission check.

versionstringRequired

The file.class_extension as described here.

Query parameters
obj_uuidstringOptional

The _uuid of the object the file is linked into. This is used for the permission check.

x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Header parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Responses
200

The image information exists and is accessible. No response body.

No content

No content

GET /eas/iiif/{fileId}/{hash}/{x-fylr-signature}/{version}/info.json

get

The IIIF endpoint serves images and tiles.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

x-fylr-signaturestringRequired

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs.

versionstringRequired

The file.class_extension as described here.

Query parameters
obj_uuidstringOptional

The _uuid of the object the file is linked into. This is used for the permission check.

x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Header parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Responses
200
application/json

IIIF Image API 2.0 image information document — the standard reply to a /info.json request, defined by the IIIF Image API 2.0 specification.

fylr serves this document so any IIIF-aware client (Mirador, Universal Viewer, OpenSeadragon, ...) can discover the image's dimensions, supported tile sizes and feature profile.

@contextstring · enumRequired

JSON-LD context — always the IIIF Image API 2 URL.

Possible values:
@idstring · uriRequired

The image's IIIF service URL — /info.json without the /info.json suffix.

protocolstring · enumRequired

The IIIF protocol URI.

Possible values:
widthintegerRequired

The image's native width, in pixels.

heightintegerRequired

The image's native height, in pixels.

HEAD /eas/iiif/{fileId}/{hash}/{x-fylr-signature}/{version}/info.json

head

Same access checks as GET (and the same 403 / 404 responses; there is no 401), but returns no body on success.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

x-fylr-signaturestringRequired

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs.

versionstringRequired

The file.class_extension as described here.

Query parameters
obj_uuidstringOptional

The _uuid of the object the file is linked into. This is used for the permission check.

x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Header parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Responses
200

The image information exists and is accessible. No response body.

No content

No content

GET /eas/iiif/{fileId}/{hash}/{version}/info.json

get

The IIIF endpoint serves images and tiles.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

versionstringRequired

The file.class_extension as described here.

Query parameters
obj_uuidstringOptional

The _uuid of the object the file is linked into. This is used for the permission check.

x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Header parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Responses
200
application/json

IIIF Image API 2.0 image information document — the standard reply to a /info.json request, defined by the IIIF Image API 2.0 specification.

fylr serves this document so any IIIF-aware client (Mirador, Universal Viewer, OpenSeadragon, ...) can discover the image's dimensions, supported tile sizes and feature profile.

@contextstring · enumRequired

JSON-LD context — always the IIIF Image API 2 URL.

Possible values:
@idstring · uriRequired

The image's IIIF service URL — /info.json without the /info.json suffix.

protocolstring · enumRequired

The IIIF protocol URI.

Possible values:
widthintegerRequired

The image's native width, in pixels.

heightintegerRequired

The image's native height, in pixels.

HEAD /eas/iiif/{fileId}/{hash}/{version}/info.json

head

Same access checks as GET (and the same 403 / 404 responses; there is no 401), but returns no body on success.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

versionstringRequired

The file.class_extension as described here.

Query parameters
obj_uuidstringOptional

The _uuid of the object the file is linked into. This is used for the permission check.

x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Header parameters
x-fylr-signaturestringOptional

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs. The signature will be taken from the query parameter first and if not found, from the request header.

Responses
200

The image information exists and is accessible. No response body.

No content

No content

GET /eas/iiif/{fileId}/{hash}/obj_uuid/{obj_uuid}/{x-fylr-signature}/{version} — Redirect to the IIIF info.json.

Redirect to the IIIF `info.json`.

get

A IIIF resource URL with no trailing path segment (with or without a trailing slash) is 303-redirected to the corresponding info.json. No access check is performed at this step; the rights are checked on the redirected info.json request.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

obj_uuidstringRequired

The _uuid of the object the file is linked into. This is used for the permission check.

x-fylr-signaturestringRequired

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs.

versionstringRequired

The file.class_extension as described here.

Responses
303

Redirects to <this-url>/info.json via a Location header.

No content

HEAD /eas/iiif/{fileId}/{hash}/obj_uuid/{obj_uuid}/{x-fylr-signature}/{version} — Redirect to the IIIF info.json.

Redirect to the IIIF `info.json`.

head

Like GET on this redirect URL: 303-redirected to the corresponding info.json.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

obj_uuidstringRequired

The _uuid of the object the file is linked into. This is used for the permission check.

x-fylr-signaturestringRequired

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs.

versionstringRequired

The file.class_extension as described here.

Responses
303

Redirects to <this-url>/info.json via a Location header.

No content

GET /eas/iiif/{fileId}/{hash}/obj_uuid/{obj_uuid}/{version} — Redirect to the IIIF info.json.

Redirect to the IIIF `info.json`.

get

A IIIF resource URL with no trailing path segment (with or without a trailing slash) is 303-redirected to the corresponding info.json. No access check is performed at this step; the rights are checked on the redirected info.json request.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

obj_uuidstringRequired

The _uuid of the object the file is linked into. This is used for the permission check.

versionstringRequired

The file.class_extension as described here.

Responses
303

Redirects to <this-url>/info.json via a Location header.

No content

HEAD /eas/iiif/{fileId}/{hash}/obj_uuid/{obj_uuid}/{version} — Redirect to the IIIF info.json.

Redirect to the IIIF `info.json`.

head

Like GET on this redirect URL: 303-redirected to the corresponding info.json.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

obj_uuidstringRequired

The _uuid of the object the file is linked into. This is used for the permission check.

versionstringRequired

The file.class_extension as described here.

Responses
303

Redirects to <this-url>/info.json via a Location header.

No content

GET /eas/iiif/{fileId}/{hash}/{x-fylr-signature}/{version} — Redirect to the IIIF info.json.

Redirect to the IIIF `info.json`.

get

A IIIF resource URL with no trailing path segment (with or without a trailing slash) is 303-redirected to the corresponding info.json. No access check is performed at this step; the rights are checked on the redirected info.json request.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

x-fylr-signaturestringRequired

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs.

versionstringRequired

The file.class_extension as described here.

Responses
303

Redirects to <this-url>/info.json via a Location header.

No content

HEAD /eas/iiif/{fileId}/{hash}/{x-fylr-signature}/{version} — Redirect to the IIIF info.json.

Redirect to the IIIF `info.json`.

head

Like GET on this redirect URL: 303-redirected to the corresponding info.json.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

x-fylr-signaturestringRequired

The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs.

versionstringRequired

The file.class_extension as described here.

Responses
303

Redirects to <this-url>/info.json via a Location header.

No content

GET /eas/iiif/{fileId}/{hash}/{version} — Redirect to the IIIF info.json.

Redirect to the IIIF `info.json`.

get

A IIIF resource URL with no trailing path segment (with or without a trailing slash) is 303-redirected to the corresponding info.json. No access check is performed at this step; the rights are checked on the redirected info.json request.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

versionstringRequired

The file.class_extension as described here.

Responses
303

Redirects to <this-url>/info.json via a Location header.

No content

HEAD /eas/iiif/{fileId}/{hash}/{version} — Redirect to the IIIF info.json.

Redirect to the IIIF `info.json`.

head

Like GET on this redirect URL: 303-redirected to the corresponding info.json.

Authorizations
AuthorizationstringRequired

Access token in the Authorization header: Authorization: Bearer <token>.

Path parameters
fileIdnumber · int64Required

The ID of the file.

hashstringRequired

The hash is the file.hash as described here.

versionstringRequired

The file.class_extension as described here.

Responses
303

Redirects to <this-url>/info.json via a Location header.

No content

URL templates

These GET, HEAD endpoints embed parameters inside a path segment (e.g. {quality}.{format}), which the interactive API panel can't render — they are listed here as URL templates instead. All live under the /api/v1 base path.

Path parameters

  • fileId — The ID of the file.

  • hash — The hash is the file.hash as described here.

  • obj_uuid — The _uuid of the object the file is linked into. This is used for the permission check.

  • x-fylr-signature — The signature to omit file permission checks. It will be added to the URL when retrieved through /api/db, /api/search or other endpoints which deliver fylr URLs.

  • version — The file.class_extension as described here.

  • region — The IIIF region is a string with x,y,w,h and other format. Check the link for more information.

  • size — The IIIF size parameter determines the dimensions to which the extracted region is to be scaled. Check the link for more information.

  • rotation — The IIIF rotation specifies mirroring and rotation. A leading exclamation mark (“!”) indicates that the image should be mirrored by reflection on the vertical axis before any rotation is applied. The numerical value represents the number of degrees of clockwise rotation, and may be any number from 0 to 360. fylr only supports integer numbers for rotation. More information can be found in the link.

  • quality — The IIIF format parameter determines whether the image is delivered in color, grayscale or black and white. Click on the link for more information.

  • format — The IIIF size parameter determines the dimensions to which the extracted region is to be scaled. Check the link for more information. Formats jpg and png are delivered with fast code if the quality is set to color or default and no rotation is requested.

Last updated